%define major   0
%define libname %mklibname sysstat %{major}
%define devname %mklibname sysstat -d

%define rel 3

Name:          libsysstat
Version: 0.4.4
Release:       %mkrel %rel
Summary:       System status library for LXQt
License:       LGPLv2+
Group:         System/Libraries
URL:           https://lxqt.github.io/
Source0:       https://github.com/lxqt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
Patch0:        libsysstat-0.3.2-fix-version-in-cmake-version-config-file.patch

BuildRequires: cmake
BuildRequires: cmake(lxqt-build-tools)

BuildRequires: pkgconfig(Qt5Help)


%description
System status library for LXQt

%package -n %{libname}
Summary:       System status library for LXQt
Group:         System/Libraries
Obsoletes:     %{_lib}razorsysstat0 < 0.5.4

%description -n %{libname}
System status library for LXQt

%package -n %{devname}
Summary:       Development files for %{name}
Group:         Development/C
Requires:      %libname = %version
Provides:      %name-devel = %version-%release
%if %mgaversion < 5
Provides:      pkgconfig(sysstat-qt5)
%endif
Obsoletes:     %{_lib}razorsysstat-devel < 0.5.4

%description -n %{devname}
Development files (Headers etc.) for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_libdir}/cmake
mv %{buildroot}%{_datadir}/cmake/sysstat-qt5 \
	%{buildroot}%{_libdir}/cmake/sysstat-qt5

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_libdir}/cmake/sysstat-qt5


%changelog
* Sat Dec 19 2020 daviddavid <daviddavid> 0.4.4-3.mga8
+ Revision: 1661171
- rebuild for missing pkgs

* Thu Dec 17 2020 umeabot <umeabot> 0.4.4-2.mga8
+ Revision: 1658986
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 0.4.4-1.mga8
+ Revision: 1643197
- New version 0.4.4
- update Url

* Sat Apr 25 2020 daviddavid <daviddavid> 0.4.3-1.mga8
+ Revision: 1571799
- New version 0.4.3

* Sat Feb 15 2020 daviddavid <daviddavid> 0.4.2-4.mga8
+ Revision: 1525742
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Mar 31 2019 umeabot <umeabot> 0.4.2-3.mga7
+ Revision: 1383203
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.4.2-2.mga7
+ Revision: 1380816
- rebuild against new Qt 5.12.2

* Sun Jan 27 2019 daviddavid <daviddavid> 0.4.2-1.mga7
+ Revision: 1361292
- New version 0.4.2

* Fri Dec 28 2018 daviddavid <daviddavid> 0.4.1-3.mga7
+ Revision: 1345489
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 0.4.1-2.mga7
+ Revision: 1299176
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 daviddavid <daviddavid> 0.4.1-1.mga7
+ Revision: 1235968
- New version: 0.4.1

* Tue May 01 2018 neoclust <neoclust> 0.4.0-1.mga7
+ Revision: 1224198
- New version 0.4.0

* Tue Nov 08 2016 neoclust <neoclust> 0.3.2-1.mga6
+ Revision: 1065885
- New version 0.3.2

* Mon Mar 28 2016 doktor5000 <doktor5000> 0.3.1-4.mga6
+ Revision: 995912
+ rebuild (emptylog)

* Sun Dec 27 2015 wally <wally> 0.3.1-3.mga6
+ Revision: 915921
- rebuild with new cmake and cmake() provides

* Sun Dec 27 2015 wally <wally> 0.3.1-2.mga6
+ Revision: 915904
- add patch to fix version in cmake version config file

* Mon Nov 09 2015 neoclust <neoclust> 0.3.1-1.mga6
+ Revision: 900148
- New version 0.3.1

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.3.0-1.mga5
+ Revision: 816433
- new version 0.3.0
  o manually fix minor version in CMakeLists.txt, oversight upstream
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
- use new URL http://downloads.lxqt.org/lxqt/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.2.0-3.mga5
+ Revision: 803662
- rebuild for QT 5.4 breakage

* Sat Oct 25 2014 doktor5000 <doktor5000> 0.2.0-2.mga5
+ Revision: 793184
+ rebuild (emptylog)

* Fri Oct 24 2014 doktor5000 <doktor5000> 0.2.0-1.mga5
+ Revision: 792988
- update to 0.2 stable release instead of git snapshot

* Sat Oct 18 2014 doktor5000 <doktor5000> 0.1.1-0.20141016.2.mga5
+ Revision: 783744
- add missing BuildRequires on qt5-devel
- fix linker flags in sysstat-qt5-config.cmake

* Thu Oct 16 2014 doktor5000 <doktor5000> 0.1.1-0.20141016.1.mga5
+ Revision: 768515
- add missing BuildRequires on BuildRequires: pkgconfig(Qt5Help)
- new snapshot 20141016
- enabled QT5 build
- correct license

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-0.20140508.6.mga5
+ Revision: 750192
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-0.20140508.5.mga5
+ Revision: 681806
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 wally <wally> 0.1.1-0.20140508.4.mga5
+ Revision: 641767
- fix librazorsysstat obsoletes

* Wed Jun 18 2014 doktor5000 <doktor5000> 0.1.1-0.20140508.3.mga5
+ Revision: 638008
- use name and version macros for Source
- add Obsoletes on %%{_lib}razorsysstat0 < 0.5.4

* Thu May 22 2014 doktor5000 <doktor5000> 0.1.1-0.20140508.2.mga5
+ Revision: 624954
- remove wrong Provides from -devel package

* Wed May 21 2014 doktor5000 <doktor5000> 0.1.1-0.20140508.1.mga5
+ Revision: 624656
- use %%mkrel, drop handling of %%beta
- fix BuildRequires
- imported package libsysstat


* Thu May 08 2014 Bernhard Rosenkraenzer <bero@lindev.ch> 0.1.1-0.20140508.1
+ Revision: a51553b
- Adjust build deps


